Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006663Dwarf FortressAdventure Mode -- AIpublic2014-07-08 10:002015-01-04 12:13
ReporterPeeps 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.40.01 
Target VersionFixed in Version0.40.24 
Summary0006663: Necromancers afraid of/killed by their own undead
DescriptionHaven't tried to reproduce it yet, but I've found a necromancer tower where all of the necromancers are panicking because their undead have their weapons out.

One of them was also killed by said undead, as was another I found wandering out in the wilds. I've seen this happen in the previous version as well.

They're also all trying and failing to climb the smooth walls, which I guess adds to the scrabbling undead horror vibe but just looks silly when it's the necromancer doing it too.
Steps To ReproducePretty simple, just find a necromancer.
TagsNo tags attached.
Attached Files

- Relationships
related to 0003685needs feedbackDwarfu Goblin squads invading a fortress will kill their non-goblin squadmates, sparking loyalty cascade 
has duplicate 0006929resolvedDwarfu Necromancer killed by undead in their own tower 
has duplicate 0007264resolvedDwarfu Necromancer companion attacked by his own raised undead 
has duplicate 0007400resolvedDwarfu Necromancer companion summons hostile undead 
has duplicate 0007573resolvedDwarfu Human Necromancer Companion murdered by his own summons. 
related to 0006622new Necromancer paths straight out of Tower 
related to 0007815acknowledgedDwarfu Necromancers scared off by sheep 
related to 0005806new Migrant necromancers raise hostile undead 
related to 0008536acknowledgedDwarfu Undead Siege wanders - Raises indestructable Elk Bird Head - Undead fight with it endlessly 
related to 0008631confirmedFootkerchief Necromancer sieges arrive with living soldiers, results in lingering on map edge and other problems 
related to 0008134new Undead siege led by human zombie instead of necromancer 
related to 0008675new Zombies attack retired necromancer when another adventurer reads their slab 
child of 0007161confirmedDwarfu Morale is screwy across all modes 

-  Notes
(0025606)
Hinaichigo (reporter)
2014-07-10 15:14

I entered the tower as a vampire, and as soon as I spoke to the necromancer, the undead started killing it.
(0026588)
aelystur (reporter)
2014-07-15 21:11

this has happened to me too. i went vampire before going in. also raised undead brought into a town only attack military personal
(0027015)
simonswerwer (reporter)
2014-07-20 08:41
edited on: 2014-07-20 08:41

I also encountered this. Here's a relevant save (0.40.03): https://dl.dropboxusercontent.com/u/91013373/NecromancerInTreeAfraidOfMinion.rar [^]

(0027068)
vampnecro (reporter)
2014-07-20 15:57
edited on: 2014-07-20 16:27

I've experienced this issue as well (40.03), and I was not a vampire when entering the necro tower. I've experienced some severely buggy play with necromancers in general. NPC necromancers are attacked by their own undead. In addition, my own character has been attacked by corpses he's raised in adventure mode (has occurred when raising corpses of human companions, the head AND full corpse of a dragon, and a bleak man wrestler), which might be the same issue.

I've also been able to "talk" to headless corpses (and necks) to get them to stop attacking me, which might (or might not) be working as intended.

(0031295)
smjjames (reporter)
2014-12-08 14:21
edited on: 2014-12-08 14:56

Here's one in 40.19, my raised zombies attack me shortly after turning werebeast. Just do anything to have one or more game ticks go by and BAM, they go aggro and stop being controlled by me.

http://dffd.wimbli.com/file.php?id=10208 [^]

Edit: Even corpses that I freshly raise are aggro to me while I'm in werebeast form.

(0031297)
Archereon (reporter)
2014-12-09 00:23

That's normal for werebeast necromancers to be attacked by their own zombies when going into werebeast form.
(0031677)
thriggle (reporter)
2015-01-03 16:18

Here's a fresh save with no active sites except for a necromancer's tower and a few camps mysteriously populated by zombies. As a human outsider, you can start adventure mode at the tower and witness the necromancer getting slaughtered. http://dffd.wimbli.com/file.php?id=10376 [^]

- Issue History
Date Modified Username Field Change
2014-07-08 10:00 Peeps New Issue
2014-07-08 13:41 Footkerchief Relationship added related to 0006622
2014-07-09 08:58 Footkerchief Relationship added related to 0006547
2014-07-10 05:50 Dwarfu Relationship added has duplicate 0006929
2014-07-10 05:51 Dwarfu Summary Necromancers afraid of their own undead => Necromancers afraid of/killed by their own undead
2014-07-10 15:14 Hinaichigo Note Added: 0025606
2014-07-14 02:18 Dwarfu Relationship added has duplicate 0007264
2014-07-15 21:11 aelystur Note Added: 0026588
2014-07-16 17:14 Dwarfu Relationship added has duplicate 0007400
2014-07-20 08:41 simonswerwer Note Added: 0027015
2014-07-20 08:41 simonswerwer Note Edited: 0027015 View Revisions
2014-07-20 09:45 Footkerchief Relationship added related to 0003685
2014-07-20 09:45 Footkerchief Relationship deleted related to 0006547
2014-07-20 15:57 vampnecro Note Added: 0027068
2014-07-20 16:25 vampnecro Note Edited: 0027068 View Revisions
2014-07-20 16:25 vampnecro Note Edited: 0027068 View Revisions
2014-07-20 16:26 vampnecro Note Edited: 0027068 View Revisions
2014-07-20 16:27 vampnecro Note Edited: 0027068 View Revisions
2014-07-22 20:12 Dwarfu Relationship added has duplicate 0007573
2014-07-22 20:13 Dwarfu Assigned To => Dwarfu
2014-07-22 20:13 Dwarfu Status new => acknowledged
2014-08-03 10:48 Footkerchief Relationship added related to 0007815
2014-08-04 20:54 Dwarfu Relationship added child of 0007161
2014-10-09 12:22 NekoHatsu Issue Monitored: NekoHatsu
2014-11-19 06:46 Footkerchief Relationship added related to 0005806
2014-11-19 06:46 Footkerchief Relationship added related to 0008536
2014-12-08 14:21 smjjames Note Added: 0031295
2014-12-08 14:35 smjjames Note Edited: 0031295 View Revisions
2014-12-08 14:56 smjjames Note Edited: 0031295 View Revisions
2014-12-09 00:23 Archereon Note Added: 0031297
2014-12-19 06:53 Footkerchief Relationship added related to 0008631
2014-12-19 06:54 Footkerchief Relationship added related to 0008134
2014-12-28 14:36 Footkerchief Relationship added related to 0008675
2014-12-29 08:08 Footkerchief Status acknowledged => confirmed
2015-01-03 14:47 thriggle Note Added: 0031669
2015-01-03 16:18 thriggle Note Deleted: 0031669
2015-01-03 16:18 thriggle Note Added: 0031677
2015-01-04 12:13 Toady One Status confirmed => resolved
2015-01-04 12:13 Toady One Fixed in Version => Next Version
2015-01-04 12:13 Toady One Resolution open => fixed
2015-01-04 12:13 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker